gtkmm: Gtk::PrintSettings Class Reference

gtkmm 3.24.7

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::PrintSettings Class Reference
Printing

A PrintSettings object represents the settings of a print dialog in a system-independent way. More...

`#include <gtkmm/printsettings.h>`

Inheritance diagram for Gtk::PrintSettings:
[legend]

## Classes
class | Keys
| Print settings keys. More...
class | PageRange

## Public Types
typedef sigc::slot< void, const Glib::ustring &, const Glib::ustring & > | SlotForeach
| For example, void on_foreach_setting(const Glib::ustring& key, const Glib::ustring& value);. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Public Member Functions
| PrintSettings (PrintSettings && src) noexcept
PrintSettings & | operator= (PrintSettings && src) noexcept
| ~PrintSettings () noexcept override
GtkPrintSettings * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkPrintSettings * | gobj () const
| Provides access to the underlying C GObject. More...
GtkPrintSettings * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< PrintSettings > | copy () const
| Copies a Gtk::PrintSettings object. More...
bool | load_from_file (const std::string & file_name)
| Reads the print settings from file_name. More...
bool | load_from_key_file (const Glib::KeyFile & key_file, const Glib::ustring & group_name)
| Reads the print settings from the group group_name in key_file. More...
bool | load_from_key_file (const Glib::KeyFile & key_file)
| Reads the print settings from the key_file. More...
bool | save_to_file (const std::string & file_name) const
| This function saves the print settings from settings to file_name. More...
void | save_to_key_file (Glib::KeyFile & key_file, const Glib::ustring & group_name) const
| This function adds the print settings from settings to key_file. More...
void | save_to_key_file (Glib::KeyFile & key_file) const
| This function adds the print settings from settings to key_file, in the "Print Settings" group. More...
bool | has_key (const Glib::ustring & key) const
| Returns `true`, if a value is associated with key. More...
Glib::ustring | get (const Glib::ustring & key) const
| Looks up the string value associated with key. More...
void | set (const Glib::ustring & key, const Glib::ustring & value)
| Associates value with key. More...
void | unset (const Glib::ustring & key)
| Removes any value associated with key. More...
void | setting_foreach (const SlotForeach & slot)
| Calls a function for each print setting. More...
bool | get_bool (const Glib::ustring & key) const
| Returns the boolean represented by the value that is associated with key. More...
void | set_bool (const Glib::ustring & key, bool value=true)
| Sets key to a boolean value. More...
double | get_double (const Glib::ustring & key) const
| Returns the double value associated with key, or 0. More...
double | get_double_with_default (const Glib::ustring & key, double def) const
| Returns the floating point number represented by the value that is associated with key, or default_val if the value does not represent a floating point number. More...
void | set_double (const Glib::ustring & key, double value)
| Sets key to a double value. More...
double | get_length (const Glib::ustring & key, Unit unit) const
| Returns the value associated with key, interpreted as a length. More...
void | set_length (const Glib::ustring & key, double value, Unit unit)
| Associates a length in units of unit with key. More...
int | get_int (const Glib::ustring & key) const
| Returns the integer value of key, or 0. More...
int | get_int_with_default (const Glib::ustring & key, int def) const
| Returns the value of key, interpreted as an integer, or the default value. More...
void | set_int (const Glib::ustring & key, int value)
| Sets key to an integer value. More...
Glib::ustring | get_printer () const
| Convenience function to obtain the value of GTK_PRINT_SETTINGS_PRINTER. More...
void | set_printer (const Glib::ustring & printer)
| Convenience function to set GTK_PRINT_SETTINGS_PRINTER to printer. More...
PageOrientation | get_orientation () const
| Get the value of GTK_PRINT_SETTINGS_ORIENTATION, converted to a Gtk::PageOrientation. More...
void | set_orientation (PageOrientation orientation)
| Sets the value of GTK_PRINT_SETTINGS_ORIENTATION. More...
PaperSize | get_paper_size ()
| Gets the value of GTK_PRINT_SETTINGS_PAPER_FORMAT, converted to a Gtk::PaperSize. More...
const PaperSize | get_paper_size () const
| Gets the value of GTK_PRINT_SETTINGS_PAPER_FORMAT, converted to a Gtk::PaperSize. More...
void | set_paper_size (const PaperSize & paper_size)
| Sets the value of GTK_PRINT_SETTINGS_PAPER_FORMAT, GTK_PRINT_SETTINGS_PAPER_WIDTH and GTK_PRINT_SETTINGS_PAPER_HEIGHT. More...
double | get_paper_width (Unit unit) const
| Gets the value of GTK_PRINT_SETTINGS_PAPER_WIDTH, converted to unit. More...
void | set_paper_width (double width, Unit unit)
| Sets the value of GTK_PRINT_SETTINGS_PAPER_WIDTH. More...
double | get_paper_height (Unit unit) const
| Gets the value of GTK_PRINT_SETTINGS_PAPER_HEIGHT, converted to unit. More...
void | set_paper_height (double height, Unit unit)
| Sets the value of GTK_PRINT_SETTINGS_PAPER_HEIGHT. More...
bool | get_use_color () const
| Gets the value of GTK_PRINT_SETTINGS_USE_COLOR. More...
void | set_use_color (bool use_color=true)
| Sets the value of GTK_PRINT_SETTINGS_USE_COLOR. More...
bool | get_collate () const
| Gets the value of GTK_PRINT_SETTINGS_COLLATE. More...
void | set_collate (bool collate=true)
| Sets the value of GTK_PRINT_SETTINGS_COLLATE. More...
bool | get_reverse () const
| Gets the value of GTK_PRINT_SETTINGS_REVERSE. More...
void | set_reverse (bool reverse=true)
| Sets the value of GTK_PRINT_SETTINGS_REVERSE. More...
PrintDuplex | get_duplex () const
| Gets the value of GTK_PRINT_SETTINGS_DUPLEX. More...
void | set_duplex (PrintDuplex duplex)
| Sets the value of GTK_PRINT_SETTINGS_DUPLEX. More...
PrintQuality | get_quality () const
| Gets the value of GTK_PRINT_SETTINGS_QUALITY. More...
void | set_quality (PrintQuality quality)
| Sets the value of GTK_PRINT_SETTINGS_QUALITY. More...
int | get_n_copies () const
| Gets the value of GTK_PRINT_SETTINGS_N_COPIES. More...
void | set_n_copies (int num_copies)
| Sets the value of GTK_PRINT_SETTINGS_N_COPIES. More...
int | get_number_up () const
| Gets the value of GTK_PRINT_SETTINGS_NUMBER_UP. More...
void | set_number_up (int number_up)
| Sets the value of GTK_PRINT_SETTINGS_NUMBER_UP. More...
NumberUpLayout | get_number_up_layout () const
| Gets the value of GTK_PRINT_SETTINGS_NUMBER_UP_LAYOUT. More...
void | set_number_up (NumberUpLayout number_up_layout)
| Sets the value of GTK_PRINT_SETTINGS_NUMBER_UP_LAYOUT. More...
int | get_resolution () const
| Gets the value of GTK_PRINT_SETTINGS_RESOLUTION. More...
void | set_resolution (int resolution)
| Sets the values of GTK_PRINT_SETTINGS_RESOLUTION, GTK_PRINT_SETTINGS_RESOLUTION_X and GTK_PRINT_SETTINGS_RESOLUTION_Y. More...
int | get_resolution_x () const
| Gets the value of GTK_PRINT_SETTINGS_RESOLUTION_X. More...
int | get_resolution_y () const
| Gets the value of GTK_PRINT_SETTINGS_RESOLUTION_Y. More...
void | set_resolution_xy (int resolution_x, int resolution_y)
| Sets the values of GTK_PRINT_SETTINGS_RESOLUTION, GTK_PRINT_SETTINGS_RESOLUTION_X and GTK_PRINT_SETTINGS_RESOLUTION_Y. More...
double | get_printer_lpi () const
| Gets the value of GTK_PRINT_SETTINGS_PRINTER_LPI. More...
void | set_printer_lpi (double lpi)
| Sets the value of GTK_PRINT_SETTINGS_PRINTER_LPI. More...
double | get_scale () const
| Gets the value of GTK_PRINT_SETTINGS_SCALE. More...
void | set_scale (double scale)
| Sets the value of GTK_PRINT_SETTINGS_SCALE. More...
PrintPages | get_print_pages () const
| Gets the value of GTK_PRINT_SETTINGS_PRINT_PAGES. More...
void | set_print_pages (PrintPages pages)
| Sets the value of GTK_PRINT_SETTINGS_PRINT_PAGES. More...
std::vector< PageRange > | get_page_ranges () const
void | set_page_ranges (const std::vector< PageRange > & page_ranges)
PageSet | get_page_set () const
| Gets the value of GTK_PRINT_SETTINGS_PAGE_SET. More...
void | set_page_set (PageSet page_set)
| Sets the value of GTK_PRINT_SETTINGS_PAGE_SET. More...
Glib::ustring | get_default_source () const
| Gets the value of GTK_PRINT_SETTINGS_DEFAULT_SOURCE. More...
void | set_default_source (const Glib::ustring & default_source)
| Sets the value of GTK_PRINT_SETTINGS_DEFAULT_SOURCE. More...
Glib::ustring | get_media_type () const
| Gets the value of GTK_PRINT_SETTINGS_MEDIA_TYPE. More...
void | set_media_type (const Glib::ustring & media_type)
| Sets the value of GTK_PRINT_SETTINGS_MEDIA_TYPE. More...
Glib::ustring | get_dither () const
| Gets the value of GTK_PRINT_SETTINGS_DITHER. More...
void | set_dither (const Glib::ustring & dither)
| Sets the value of GTK_PRINT_SETTINGS_DITHER. More...
Glib::ustring | get_finishings () const
| Gets the value of GTK_PRINT_SETTINGS_FINISHINGS. More...
void | set_finishings (const Glib::ustring & finishings)
| Sets the value of GTK_PRINT_SETTINGS_FINISHINGS. More...
Glib::ustring | get_output_bin () const
| Gets the value of GTK_PRINT_SETTINGS_OUTPUT_BIN. More...
void | set_output_bin (const Glib::ustring & output_bin)
| Sets the value of GTK_PRINT_SETTINGS_OUTPUT_BIN. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< PrintSettings > | create ()
static Glib::RefPtr< PrintSettings > | create_from_key_file (const Glib::KeyFile & key_file)
| Reads the print settings from the key_file. More...
static Glib::RefPtr< PrintSettings > | create_from_key_file (const Glib::KeyFile & key_file, const Glib::ustring & group_name)
| Reads the print settings from the group group_name in key_file. More...
static Glib::RefPtr< PrintSettings > | create_from_file (const std::string & file_name)
| Reads the print settings from file_name. More...

## Protected Member Functions
| PrintSettings ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::PrintSettings > | wrap (GtkPrintSettings * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A PrintSettings object represents the settings of a print dialog in a system-independent way.

The main use for this object is that once you've printed you can get a settings object that represents the settings the user chose, and the next time you print you can pass that object in so that the user doesn't have to re-set all his settings.

It's also possible to enumerate the settings so that you can easily save the settings for the next time your app runs, or even store them in a document. The predefined keys try to use shared values as much as possible so that moving such a document between systems still works.

Since gtkmm 2.10:

## Member Typedef Documentation

## ◆ SlotForeach

typedef sigc::slot<void, const Glib::ustring&, const Glib::ustring&> Gtk::PrintSettings::SlotForeach

For example, void on_foreach_setting(const Glib::ustring& key, const Glib::ustring& value);.

## Constructor & Destructor Documentation

## ◆ PrintSettings() [1/2]

Gtk::PrintSettings::PrintSettings | ( | PrintSettings && | src | ) |
| noexcept

## ◆ ~PrintSettings()

Gtk::PrintSettings::~PrintSettings | ( |  | ) |
| overridenoexcept

## ◆ PrintSettings() [2/2]

Gtk::PrintSettings::PrintSettings | ( |  | ) |
| protected

## Member Function Documentation

## ◆ copy()

Glib::RefPtr< PrintSettings > Gtk::PrintSettings::copy | ( |  | ) | const

Copies a Gtk::PrintSettings object.

Since gtkmm 2.10:

Returns
  A newly allocated copy of other.

## ◆ create()

static Glib::RefPtr< PrintSettings > Gtk::PrintSettings::create | ( |  | ) |
| static

## ◆ create_from_file()

static Glib::RefPtr< PrintSettings > Gtk::PrintSettings::create_from_file | ( | const std::string & | file_name | ) |
| static

Reads the print settings from file_name.

Returns a new PrintSettings object with the restored settings, or an empty RefPtr if an error occurred. See save_to_file().

Parameters

  file_name | The filename to read the settings from.

Returns
  the restored PrintSettings

Exceptions

  KeyFileError,FileError |

Since gtkmm 2.14:

## ◆ create_from_key_file() [1/2]

static Glib::RefPtr< PrintSettings > Gtk::PrintSettings::create_from_key_file | ( | const Glib::KeyFile & | key_file | ) |
| static

Reads the print settings from the key_file.

Returns a new PrintSettings object with the restored settings, or an empty RefPtr if an error occurred. See save_to_key_file().

Parameters

  key_file | The KeyFile to retrieve the settings from.

Returns
  the restored PrintSettings

Exceptions

  KeyFileError,FileError |

Since gtkmm 2.14:

## ◆ create_from_key_file() [2/2]

static Glib::RefPtr< PrintSettings > Gtk::PrintSettings::create_from_key_file | ( | const Glib::KeyFile & | key_file,
|  | const Glib::ustring & | group_name
| ) |  |
| static

Reads the print settings from the group group_name in key_file.

Returns a new PrintSettings object with the restored settings, or an empty RefPtr if an error occurred. See save_to_key_file().

Parameters

  key_file | The KeyFile to retrieve the settings from.
  group_name | The name of the group to use.

Returns
  the restored PrintSettings

Exceptions

  KeyFileError,FileError |

Since gtkmm 2.14:

## ◆ get()

Glib::ustring Gtk::PrintSettings::get | ( | const Glib::ustring & | key | ) | const

Looks up the string value associated with key.

Since gtkmm 2.10:

Parameters

  key | A key.

Returns
  The string value for key.

## ◆ get_bool()

bool Gtk::PrintSettings::get_bool | ( | const Glib::ustring & | key | ) | const

Returns the boolean represented by the value that is associated with key.

The string “true” represents `true`, any other string `false`.

Since gtkmm 2.10:

Parameters

  key | A key.

Returns
  `true`, if key maps to a true value.

## ◆ get_collate()

bool Gtk::PrintSettings::get_collate | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_COLLATE.

Since gtkmm 2.10:

Returns
  Whether to collate the printed pages.

## ◆ get_default_source()

Glib::ustring Gtk::PrintSettings::get_default_source | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_DEFAULT_SOURCE.

Since gtkmm 2.10:

Returns
  The default source.

## ◆ get_dither()

Glib::ustring Gtk::PrintSettings::get_dither | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_DITHER.

Since gtkmm 2.10:

Returns
  The dithering that is used.

## ◆ get_double()

double Gtk::PrintSettings::get_double | ( | const Glib::ustring & | key | ) | const

Returns the double value associated with key, or 0.

Since gtkmm 2.10:

Parameters

  key | A key.

Returns
  The double value of key.

## ◆ get_double_with_default()

double Gtk::PrintSettings::get_double_with_default | ( | const Glib::ustring & | key,
|  | double | def
| ) |  | const

Returns the floating point number represented by the value that is associated with key, or default_val if the value does not represent a floating point number.

Floating point numbers are parsed with Glib::ascii_strtod().

Since gtkmm 2.10:

Parameters

  key | A key.
  def | The default value.

Returns
  The floating point number associated with key.

## ◆ get_duplex()

PrintDuplex Gtk::PrintSettings::get_duplex | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_DUPLEX.

Since gtkmm 2.10:

Returns
  Whether to print the output in duplex.

## ◆ get_finishings()

Glib::ustring Gtk::PrintSettings::get_finishings | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_FINISHINGS.

Since gtkmm 2.10:

Returns
  The finishings.

## ◆ get_int()

int Gtk::PrintSettings::get_int | ( | const Glib::ustring & | key | ) | const

Returns the integer value of key, or 0.

Since gtkmm 2.10:

Parameters

  key | A key.

Returns
  The integer value of key.

## ◆ get_int_with_default()

int Gtk::PrintSettings::get_int_with_default | ( | const Glib::ustring & | key,
|  | int | def
| ) |  | const

Returns the value of key, interpreted as an integer, or the default value.

Since gtkmm 2.10:

Parameters

  key | A key.
  def | The default value.

Returns
  The integer value of key.

## ◆ get_length()

double Gtk::PrintSettings::get_length | ( | const Glib::ustring & | key,
|  | Unit | unit
| ) |  | const

Returns the value associated with key, interpreted as a length.

The returned value is converted to units.

Since gtkmm 2.10:

Parameters

  key | A key.
  unit | The unit of the return value.

Returns
  The length value of key, converted to unit.

## ◆ get_media_type()

Glib::ustring Gtk::PrintSettings::get_media_type | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_MEDIA_TYPE.

The set of media types is defined in PWG 5101.1-2002 PWG.

Since gtkmm 2.10:

Returns
  The media type.

## ◆ get_n_copies()

int Gtk::PrintSettings::get_n_copies | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_N_COPIES.

Since gtkmm 2.10:

Returns
  The number of copies to print.

## ◆ get_number_up()

int Gtk::PrintSettings::get_number_up | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_NUMBER_UP.

Since gtkmm 2.10:

Returns
  The number of pages per sheet.

## ◆ get_number_up_layout()

NumberUpLayout Gtk::PrintSettings::get_number_up_layout | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_NUMBER_UP_LAYOUT.

Since gtkmm 2.14:

Returns
  Layout of page in number-up mode.

## ◆ get_orientation()

PageOrientation Gtk::PrintSettings::get_orientation | ( |  | ) | const

Get the value of GTK_PRINT_SETTINGS_ORIENTATION, converted to a Gtk::PageOrientation.

Since gtkmm 2.10:

Returns
  The orientation.

## ◆ get_output_bin()

Glib::ustring Gtk::PrintSettings::get_output_bin | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_OUTPUT_BIN.

Since gtkmm 2.10:

Returns
  The output bin.

## ◆ get_page_ranges()

std::vector< PageRange > Gtk::PrintSettings::get_page_ranges | ( |  | ) | const

## ◆ get_page_set()

PageSet Gtk::PrintSettings::get_page_set | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_PAGE_SET.

Since gtkmm 2.10:

Returns
  The set of pages to print.

## ◆ get_paper_height()

double Gtk::PrintSettings::get_paper_height | ( | Unit | unit | ) | const

Gets the value of GTK_PRINT_SETTINGS_PAPER_HEIGHT, converted to unit.

Since gtkmm 2.10:

Parameters

  unit | The unit for the return value.

Returns
  The paper height, in units of unit.

## ◆ get_paper_size() [1/2]

PaperSize Gtk::PrintSettings::get_paper_size | ( |  | ) |

Gets the value of GTK_PRINT_SETTINGS_PAPER_FORMAT, converted to a Gtk::PaperSize.

Since gtkmm 2.10:

Returns
  The paper size.

## ◆ get_paper_size() [2/2]

const PaperSize Gtk::PrintSettings::get_paper_size | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_PAPER_FORMAT, converted to a Gtk::PaperSize.

Since gtkmm 2.10:

Returns
  The paper size.

## ◆ get_paper_width()

double Gtk::PrintSettings::get_paper_width | ( | Unit | unit | ) | const

Gets the value of GTK_PRINT_SETTINGS_PAPER_WIDTH, converted to unit.

Since gtkmm 2.10:

Parameters

  unit | The unit for the return value.

Returns
  The paper width, in units of unit.

## ◆ get_print_pages()

PrintPages Gtk::PrintSettings::get_print_pages | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_PRINT_PAGES.

Since gtkmm 2.10:

Returns
  Which pages to print.

## ◆ get_printer()

Glib::ustring Gtk::PrintSettings::get_printer | ( |  | ) | const

Convenience function to obtain the value of GTK_PRINT_SETTINGS_PRINTER.

Since gtkmm 2.10:

Returns
  The printer name.

## ◆ get_printer_lpi()

double Gtk::PrintSettings::get_printer_lpi | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_PRINTER_LPI.

Since gtkmm 2.16:

Returns
  The resolution in lpi (lines per inch).

## ◆ get_quality()

PrintQuality Gtk::PrintSettings::get_quality | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_QUALITY.

Since gtkmm 2.10:

Returns
  The print quality.

## ◆ get_resolution()

int Gtk::PrintSettings::get_resolution | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_RESOLUTION.

Since gtkmm 2.10:

Returns
  The resolution in dpi.

## ◆ get_resolution_x()

int Gtk::PrintSettings::get_resolution_x | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_RESOLUTION_X.

Since gtkmm 2.16:

Returns
  The horizontal resolution in dpi.

## ◆ get_resolution_y()

int Gtk::PrintSettings::get_resolution_y | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_RESOLUTION_Y.

Since gtkmm 2.16:

Returns
  The vertical resolution in dpi.

## ◆ get_reverse()

bool Gtk::PrintSettings::get_reverse | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_REVERSE.

Since gtkmm 2.10:

Returns
  Whether to reverse the order of the printed pages.

## ◆ get_scale()

double Gtk::PrintSettings::get_scale | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_SCALE.

Since gtkmm 2.10:

Returns
  The scale in percent.

## ◆ get_type()

static GType Gtk::PrintSettings::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_use_color()

bool Gtk::PrintSettings::get_use_color | ( |  | ) | const

Gets the value of GTK_PRINT_SETTINGS_USE_COLOR.

Since gtkmm 2.10:

Returns
  Whether to use color.

## ◆ gobj() [1/2]

GtkPrintSettings * Gtk::PrintSettings::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkPrintSettings * Gtk::PrintSettings::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkPrintSettings * Gtk::PrintSettings::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ has_key()

bool Gtk::PrintSettings::has_key | ( | const Glib::ustring & | key | ) | const

Returns `true`, if a value is associated with key.

Since gtkmm 2.10:

Parameters

  key | A key.

Returns
  `true`, if key has a value.

## ◆ load_from_file()

bool Gtk::PrintSettings::load_from_file | ( | const std::string & | file_name | ) |

Reads the print settings from file_name.

If the file could not be loaded then error is set to either a Glib::FileError or Glib::KeyFileError. See to_file().

Since gtkmm 2.14:

Parameters

  file_name | The filename to read the settings from.

Returns
  `true` on success.

Exceptions

  Glib::Error |

## ◆ load_from_key_file() [1/2]

bool Gtk::PrintSettings::load_from_key_file | ( | const Glib::KeyFile & | key_file | ) |

Reads the print settings from the key_file.

See save_to_key_file().

Parameters

  key_file | The KeyFile to retrieve the settings from.

Returns
  true on success.

Exceptions

  KeyFileError,FileError |

Since gtkmm 2.14:

## ◆ load_from_key_file() [2/2]

bool Gtk::PrintSettings::load_from_key_file | ( | const Glib::KeyFile & | key_file,
|  | const Glib::ustring & | group_name
| ) |  |

Reads the print settings from the group group_name in key_file.

If the file could not be loaded then error is set to either a Glib::FileError or Glib::KeyFileError.

Since gtkmm 2.14:

Parameters

  key_file | The Glib::KeyFile to retrieve the settings from.
  group_name | The name of the group to use, or `nullptr` to use the default “Print Settings”.

Returns
  `true` on success.

Exceptions

  Glib::Error |

## ◆ operator=()

PrintSettings & Gtk::PrintSettings::operator= | ( | PrintSettings && | src | ) |
| noexcept

## ◆ save_to_file()

bool Gtk::PrintSettings::save_to_file | ( | const std::string & | file_name | ) | const

This function saves the print settings from settings to file_name.

Exceptions

  FileError |

Since gtkmm 2.12:

Parameters

  file_name | The file to save to.

Returns
  `true` on success.

## ◆ save_to_key_file() [1/2]

void Gtk::PrintSettings::save_to_key_file | ( | Glib::KeyFile & | key_file | ) | const

This function adds the print settings from settings to key_file, in the "Print Settings" group.

Since gtkmm 2.12:

Parameters

  key_file | The Glib::KeyFile to save the print settings to.

## ◆ save_to_key_file() [2/2]

void Gtk::PrintSettings::save_to_key_file | ( | Glib::KeyFile & | key_file,
|  | const Glib::ustring & | group_name
| ) |  | const

This function adds the print settings from settings to key_file.

Since gtkmm 2.12:

Parameters

  key_file | The Glib::KeyFile to save the print settings to.
  group_name | The group to add the settings to in key_file.

## ◆ set()

void Gtk::PrintSettings::set | ( | const Glib::ustring & | key,
|  | const Glib::ustring & | value
| ) |  |

Associates value with key.

Since gtkmm 2.10:

Parameters

  key | A key.
  value | A string value, or `nullptr`.

## ◆ set_bool()

void Gtk::PrintSettings::set_bool | ( | const Glib::ustring & | key,
|  | bool | value = `true`
| ) |  |

Sets key to a boolean value.

Since gtkmm 2.10:

Parameters

  key | A key.
  value | A boolean.

## ◆ set_collate()

void Gtk::PrintSettings::set_collate | ( | bool | collate = `true` | ) |

Sets the value of GTK_PRINT_SETTINGS_COLLATE.

Since gtkmm 2.10:

Parameters

  collate | Whether to collate the output.

## ◆ set_default_source()

void Gtk::PrintSettings::set_default_source | ( | const Glib::ustring & | default_source | ) |

Sets the value of GTK_PRINT_SETTINGS_DEFAULT_SOURCE.

Since gtkmm 2.10:

Parameters

  default_source | The default source.

## ◆ set_dither()

void Gtk::PrintSettings::set_dither | ( | const Glib::ustring & | dither | ) |

Sets the value of GTK_PRINT_SETTINGS_DITHER.

Since gtkmm 2.10:

Parameters

  dither | The dithering that is used.

## ◆ set_double()

void Gtk::PrintSettings::set_double | ( | const Glib::ustring & | key,
|  | double | value
| ) |  |

Sets key to a double value.

Since gtkmm 2.10:

Parameters

  key | A key.
  value | A double value.

## ◆ set_duplex()

void Gtk::PrintSettings::set_duplex | ( | PrintDuplex | duplex | ) |

Sets the value of GTK_PRINT_SETTINGS_DUPLEX.

Since gtkmm 2.10:

Parameters

  duplex | A Gtk::PrintDuplex value.

## ◆ set_finishings()

void Gtk::PrintSettings::set_finishings | ( | const Glib::ustring & | finishings | ) |

Sets the value of GTK_PRINT_SETTINGS_FINISHINGS.

Since gtkmm 2.10:

Parameters

  finishings | The finishings.

## ◆ set_int()

void Gtk::PrintSettings::set_int | ( | const Glib::ustring & | key,
|  | int | value
| ) |  |

Sets key to an integer value.

Since gtkmm 2.10:

Parameters

  key | A key.
  value | An integer.

## ◆ set_length()

void Gtk::PrintSettings::set_length | ( | const Glib::ustring & | key,
|  | double | value,
|  | Unit | unit
| ) |  |

Associates a length in units of unit with key.

Since gtkmm 2.10:

Parameters

  key | A key.
  value | A length.
  unit | The unit of length.

## ◆ set_media_type()

void Gtk::PrintSettings::set_media_type | ( | const Glib::ustring & | media_type | ) |

Sets the value of GTK_PRINT_SETTINGS_MEDIA_TYPE.

The set of media types is defined in PWG 5101.1-2002 PWG.

Since gtkmm 2.10:

Parameters

  media_type | The media type.

## ◆ set_n_copies()

void Gtk::PrintSettings::set_n_copies | ( | int | num_copies | ) |

Sets the value of GTK_PRINT_SETTINGS_N_COPIES.

Since gtkmm 2.10:

Parameters

  num_copies | The number of copies.

## ◆ set_number_up() [1/2]

void Gtk::PrintSettings::set_number_up | ( | int | number_up | ) |

Sets the value of GTK_PRINT_SETTINGS_NUMBER_UP.

Since gtkmm 2.10:

Parameters

  number_up | The number of pages per sheet.

## ◆ set_number_up() [2/2]

void Gtk::PrintSettings::set_number_up | ( | NumberUpLayout | number_up_layout | ) |

Sets the value of GTK_PRINT_SETTINGS_NUMBER_UP_LAYOUT.

Since gtkmm 2.14:

Parameters

  number_up_layout | A Gtk::NumberUpLayout value.

## ◆ set_orientation()

void Gtk::PrintSettings::set_orientation | ( | PageOrientation | orientation | ) |

Sets the value of GTK_PRINT_SETTINGS_ORIENTATION.

Since gtkmm 2.10:

Parameters

  orientation | A page orientation.

## ◆ set_output_bin()

void Gtk::PrintSettings::set_output_bin | ( | const Glib::ustring & | output_bin | ) |

Sets the value of GTK_PRINT_SETTINGS_OUTPUT_BIN.

Since gtkmm 2.10:

Parameters

  output_bin | The output bin.

## ◆ set_page_ranges()

void Gtk::PrintSettings::set_page_ranges | ( | const std::vector< PageRange > & | page_ranges | ) |

## ◆ set_page_set()

void Gtk::PrintSettings::set_page_set | ( | PageSet | page_set | ) |

Sets the value of GTK_PRINT_SETTINGS_PAGE_SET.

Since gtkmm 2.10:

Parameters

  page_set | A Gtk::PageSet value.

## ◆ set_paper_height()

void Gtk::PrintSettings::set_paper_height | ( | double | height,
|  | Unit | unit
| ) |  |

Sets the value of GTK_PRINT_SETTINGS_PAPER_HEIGHT.

Since gtkmm 2.10:

Parameters

  height | The paper height.
  unit | The units of height.

## ◆ set_paper_size()

void Gtk::PrintSettings::set_paper_size | ( | const PaperSize & | paper_size | ) |

Sets the value of GTK_PRINT_SETTINGS_PAPER_FORMAT, GTK_PRINT_SETTINGS_PAPER_WIDTH and GTK_PRINT_SETTINGS_PAPER_HEIGHT.

Since gtkmm 2.10:

Parameters

  paper_size | A paper size.

## ◆ set_paper_width()

void Gtk::PrintSettings::set_paper_width | ( | double | width,
|  | Unit | unit
| ) |  |

Sets the value of GTK_PRINT_SETTINGS_PAPER_WIDTH.

Since gtkmm 2.10:

Parameters

  width | The paper width.
  unit | The units of width.

## ◆ set_print_pages()

void Gtk::PrintSettings::set_print_pages | ( | PrintPages | pages | ) |

Sets the value of GTK_PRINT_SETTINGS_PRINT_PAGES.

Since gtkmm 2.10:

Parameters

  pages | A Gtk::PrintPages value.

## ◆ set_printer()

void Gtk::PrintSettings::set_printer | ( | const Glib::ustring & | printer | ) |

Convenience function to set GTK_PRINT_SETTINGS_PRINTER to printer.

Since gtkmm 2.10:

Parameters

  printer | The printer name.

## ◆ set_printer_lpi()

void Gtk::PrintSettings::set_printer_lpi | ( | double | lpi | ) |

Sets the value of GTK_PRINT_SETTINGS_PRINTER_LPI.

Since gtkmm 2.16:

Parameters

  lpi | The resolution in lpi (lines per inch).

## ◆ set_quality()

void Gtk::PrintSettings::set_quality | ( | PrintQuality | quality | ) |

Sets the value of GTK_PRINT_SETTINGS_QUALITY.

Since gtkmm 2.10:

Parameters

  quality | A Gtk::PrintQuality value.

## ◆ set_resolution()

void Gtk::PrintSettings::set_resolution | ( | int | resolution | ) |

Sets the values of GTK_PRINT_SETTINGS_RESOLUTION, GTK_PRINT_SETTINGS_RESOLUTION_X and GTK_PRINT_SETTINGS_RESOLUTION_Y.

Since gtkmm 2.10:

Parameters

  resolution | The resolution in dpi.

## ◆ set_resolution_xy()

void Gtk::PrintSettings::set_resolution_xy | ( | int | resolution_x,
|  | int | resolution_y
| ) |  |

Sets the values of GTK_PRINT_SETTINGS_RESOLUTION, GTK_PRINT_SETTINGS_RESOLUTION_X and GTK_PRINT_SETTINGS_RESOLUTION_Y.

Since gtkmm 2.16:

Parameters

  resolution_x | The horizontal resolution in dpi.
  resolution_y | The vertical resolution in dpi.

## ◆ set_reverse()

void Gtk::PrintSettings::set_reverse | ( | bool | reverse = `true` | ) |

Sets the value of GTK_PRINT_SETTINGS_REVERSE.

Since gtkmm 2.10:

Parameters

  reverse | Whether to reverse the output.

## ◆ set_scale()

void Gtk::PrintSettings::set_scale | ( | double | scale | ) |

Sets the value of GTK_PRINT_SETTINGS_SCALE.

Since gtkmm 2.10:

Parameters

  scale | The scale in percent.

## ◆ set_use_color()

void Gtk::PrintSettings::set_use_color | ( | bool | use_color = `true` | ) |

Sets the value of GTK_PRINT_SETTINGS_USE_COLOR.

Since gtkmm 2.10:

Parameters

  use_color | Whether to use color.

## ◆ setting_foreach()

void Gtk::PrintSettings::setting_foreach | ( | const SlotForeach & | slot | ) |

Calls a function for each print setting.

Parameters

  slot | The callback to call for each print setting.

## ◆ unset()

void Gtk::PrintSettings::unset | ( | const Glib::ustring & | key | ) |

Removes any value associated with key.

This has the same effect as setting the value to `nullptr`.

Since gtkmm 2.10:

Parameters

  key | A key.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::PrintSettings > wrap | ( | GtkPrintSettings * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.